Skip to main content
PATCH
/
api
/
2.0
/
message_threads
/
{id}
Partially Update Message Thread
curl --request PATCH \
  --url https://sandbox.elationemr.com/api/2.0/message_threads/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chart_date": "2023-11-07T05:31:56Z",
  "delivery_date": "2023-11-07T05:31:56Z",
  "document_date": "2023-11-07T05:31:56Z",
  "is_urgent": false,
  "members": [
    {
      "ack_time": "2023-11-07T05:31:56Z",
      "group": 123,
      "thread": 123,
      "user": 123
    }
  ],
  "messages": [
    {
      "body": "<string>",
      "send_date": "2023-11-07T05:31:56Z",
      "sender": 123,
      "thread": 123
    }
  ],
  "patient": 123,
  "practice": 123,
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z"
}
'
{
  "chart_date": "2023-11-07T05:31:56Z",
  "document_date": "2023-11-07T05:31:56Z",
  "patient": 123,
  "practice": 123,
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "delivery_date": "2023-11-07T05:31:56Z",
  "id": 123,
  "is_urgent": false,
  "members": [
    {
      "ack_time": "2023-11-07T05:31:56Z",
      "group": 123,
      "id": 123,
      "thread": 123,
      "user": 123
    }
  ],
  "messages": [
    {
      "body": "<string>",
      "send_date": "2023-11-07T05:31:56Z",
      "sender": 123,
      "id": 123,
      "patient": 123,
      "practice": 123,
      "thread": 123,
      "to_document": {
        "authoring_practice": 123,
        "chart_date": "2023-11-07T05:31:56Z",
        "document_date": "2023-11-07T05:31:56Z",
        "id": 123,
        "patient": 123,
        "created_date": "2023-11-07T05:31:56Z",
        "deleted_date": "2023-11-07T05:31:56Z",
        "document_type": 123,
        "last_modified": "2023-11-07T05:31:56Z",
        "sign_date": "2023-11-07T05:31:56Z",
        "signed_by": 123
      }
    }
  ],
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Body

application/json
chart_date
string<date-time>

When the message thread's patient chart was created.

delivery_date
string<date-time> | null
document_date
string<date-time>

When the message thread's document was created.

is_urgent
boolean
default:false

Whether the message is currently urgent.

members
object[]

List of Thread Members, when creating only need to specify the id of the thread member and their status.

messages
object[]

List of Thread Messages, when creating only need to provide the body, send_date and sender.

patient
integer<int64>

The patient chart for which the thread is about.

practice
integer<int64>

The id of the practice that owns the patient chart.

signed_by
integer<int64> | null

The user who signed the thread

signed_date
string<date-time> | null

The date and time when the thread was signed

Response

200 - application/json
chart_date
string<date-time>
required

When the message thread's patient chart was created.

document_date
string<date-time>
required

When the message thread's document was created.

patient
integer<int64>
required

The patient chart for which the thread is about.

practice
integer<int64>
required

The id of the practice that owns the patient chart.

created_date
string<date-time> | null
read-only

When the message thread was created.

deleted_date
string<date-time> | null
read-only

When the message thread was deleted.

delivery_date
string<date-time> | null
id
integer
read-only
is_urgent
boolean
default:false

Whether the message is currently urgent.

members
object[]

List of Thread Members, when creating only need to specify the id of the thread member and their status.

messages
object[]

List of Thread Messages, when creating only need to provide the body, send_date and sender.

signed_by
integer<int64> | null

The user who signed the thread

signed_date
string<date-time> | null

The date and time when the thread was signed